apiVersion: v1
kind: Pod
metadata:
  name: disallow-latest-tag-bad-1
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
spec:
  containers:
    - name: disallow-latest-tag-bad-1
      image: postgresql
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-latest-tag-bad-2
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
spec:
  containers:
    - name: disallow-latest-tag-bad-2
      image: postgresql:latest
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-latest-tag-bad-3
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
    policies.opencode.de/bsi-requirement: SYS.1.6.A6
spec:
  containers:
    - name: disallow-latest-tag-good
      image: postgres:15.1
  initContainers:
    - name: disallow-latest-tag-bad-3
      image: postgres
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-latest-tag-bad-4
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
    policies.opencode.de/bsi-requirement: SYS.1.6.A6
spec:
  containers:
    - name: disallow-latest-tag-good
      image: postgres:15.1
  initContainers:
    - name: disallow-latest-tag-bad-4
      image: postgres:latest
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-latest-tag-good-1
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
spec:
  containers:
    - name: disallow-latest-tag-good-1
      image: postgresql:14.1
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-latest-tag-good-2
  labels:
    policies.opencode.de/bsi-protection-requirement: basic
    policies.opencode.de/category: must
    policies.opencode.de/bsi-requirement: SYS.1.6.A6
spec:
  containers:
    - name: disallow-latest-tag-good-2
      image: postgres:15.1
  initContainers:
    - name: disallow-latest-tag-good-3
      image: postgres:15.1
